CREATE TABLE account(
  id BIGSERIAL NOT NULL,

  PRIMARY KEY (id)
);

CREATE TABLE tx (
  id BIGSERIAL NOT NULL,
  src_id BIGINT NOT NULL,
  dst_id BIGINT NOT NULL,
  grouping_id BIGINT NOT NULL,
  amount DECIMAL(15,3) NOT NULL,
  created_at TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(),

  PRIMARY KEY (id),
  FOREIGN KEY (src_id) REFERENCES account(id),
  FOREIGN KEY (dst_id) REFERENCES account(id)
);

CREATE TABLE exchange_rate(
  id BIGSERIAL NOT NULL,
  starts_at TIMESTAMP WITH TIME ZONE NOT NULL,
  ends_at TIMESTAMP WITH TIME ZONE NOT NULL,
  rate DECIMAL(8,3),

  PRIMARY KEY (id),
  created_at TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(),
  updated_at TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now()
);

